Loading...
Searching...
No Matches
casacore::RecordFieldWriter Class Referenceabstract
casa package (libcasa_casa) » Containers_module » Containers_module_internal_classes

More...

`#include <RecordFieldWriter.h>`

## Public Member Functions

virtual | ~RecordFieldWriter ()
virtual void | writeField ()=0

## Detailed Description

Record field writer. Base class for the copiers.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Etymology

These classes write values to a field or fields in a record.

### Synopsis

These classes are used in the ms2sdfits conversion code. It might be better if they were moved there.

### Motivation

It was useful to set up a number of copiers and invoke them as appropriate via a single function call. Some copiers may be more complicate than a direct field to field copy.

### To Do

- Either make this generally useful here or move them out of containers
- fully document this

Definition at line 63 of file RecordFieldWriter.h.

## Constructor & Destructor Documentation

## ~RecordFieldWriter()

virtual casacore::RecordFieldWriter::~RecordFieldWriter | ( |  | ) |

virtual

## Member Function Documentation

## writeField()

virtual void casacore::RecordFieldWriter::writeField | ( |  | ) |

pure virtual

Implemented in casacore::RecordFieldCopier< outType, inType >, and casacore::UnequalShapeCopier< T >.

The documentation for this class was generated from the following file:

- casa/Containers/RecordFieldWriter.h